<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.rivermine.app.branding.BrandingUtility"%>
<%@ page import="com.rivermine.model.ApplicationAccount"%>
<%@ page import="com.rivermine.model.branding.Branding.BrandingType"%>
<%@ page import="com.rivermine.model.mdm.branding.Branding"%>
<%@ page import="com.rivermine.util.StringUtil"%>
<%
String aa_id = ApplicationAccount.getCurrentApplicationAccountId(request.getServerName());
long logosDeployTime = BrandingUtility.getActiveBrandingDeployTime(aa_id, BrandingType.LogosAndImages);
long loginDeployTime = BrandingUtility.getActiveBrandingDeployTime(aa_id, BrandingType.LoginWorkflow);
String browserTitle = StringUtil.forXML(BrandingUtility.getProperty(aa_id, Branding.BROWSER_TITLE_SSM.getName()));
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "no-cache");
response.setDateHeader("Expires", 0);
%>

<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html  xmlns:ng="http://angularjs.org" id="ng-app"  class="no-js" ng-app="externalAuthApp" lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html  xmlns:ng="http://angularjs.org" id="ng-app"  class="no-js" ng-app="externalAuthApp"> <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    <title></title>
    <link rel="icon" type="image/x-icon" href="favicon.ico?_=<%=logosDeployTime%>">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Cache-Control" content="private, no-cache, no-store">
    
    <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
    <link rel="stylesheet" href="styles/56c0cc71.extAuthVendor.css"/>
    <!-- build:css({.tmp,app}) styles/main.css -->
    <link rel="stylesheet" href="css/product-styles.jsp" />
    <link rel="stylesheet" href="branding_files/css/custom_style.css?_=<%=loginDeployTime%>" />
<script type="text/javascript">
function decodeXML(s) {
    s = s.replace(/&lt;/g, '<');
    s = s.replace(/&gt;/g, '>');
    s = s.replace(/&quot;/g, '"');
    s = s.replace(/&#39;/g, "'");
    s = s.replace(/&amp;/g, '&');
    return s;
}
function init() {
  document.title = decodeXML('<%=browserTitle%>');
}
</script>
  </head>
  <body class="container-fluid" onload="init()">
    <!--[if lt IE 7]>
      <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->

    <!-- Add your site or application content here -->
    <div class="row">
        <!-- left hand side margin -->
        <div class="col-sm-3 col-md-3 col-lg-4"></div>

        <div id="contents" class = "col-xs-12 col-sm-6 col-md-6 col-lg-4">

        <!-- Placeholder for the views -->
        <div ng-view="" ></div>

        </div><!-- contents div ends -->

        <!-- right hand side margin -->
        <div class = "col-sm-3 col-md-3 col-lg-4"></div>

    </div><!-- row div ends -->    

    <script src="scripts/dd82fd45.extAuthvendor.js"></script>

    <script src="scripts/3f937794.extAuthScripts.js"></script>
</body>
</html>
